# std::swap(std::shared_ptr)

From cppreference.com
< cpp‎ | memory‎ | shared ptr

template< class T > void swap( shared_ptr<T>& lhs, shared_ptr<T>& rhs ) noexcept; |  | (since C++11)

Specializes the std::swap algorithm for std::shared_ptr. Swaps the pointers of `lhs` and `rhs`. Calls lhs.swap(rhs).

### Parameters

lhs, rhs | - | smart pointers whose contents to swap

### Return value

(none)

### Complexity

Constant

### See also

swap | swaps the values of two objects (function template)
swap | swaps the contents (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/memory/shared_ptr/swap2&oldid=42258"